const CONFIG = {
    DEBUG: false,
    LOGGING: {
        COLORS: {
            SLIDE: '§b',
            ROLL: '§d',
            DROPKICK: '§6',
            VAULT: '§a',
            SYSTEM: '§f',
            WALLRUN: '§e'
        }
    },
    SLIDE: {
        DURATION: 14,    // 0.7 s = 14 ticks
        SPRINT_BUFFER: 4, // 0.2 s = 4 ticks
        KNOCKBACK_POWER: 0.85,
        KNOCKBACK_POWER_REDUCTION: 25,
        FORCE_CRAWLING: false,
        ELEVATION: {
            AIR: -0.12,
            GROUND: 0.04
        },
        COOLDOWN: 30     // 1.5 s = 30 ticks
    },
    ROLL: {
        FALL_HEIGHT_REQUIRED: 2,
        ROLL_TRIGGER_MIN: 0,
        ROLL_TRIGGER_MAX: 2,
        DURATION: 16,    // 0.8 s = 16 ticks
        KNOCKBACK_POWER: 0.8,
        KNOCKBACK_POWER_REDUCTION: 3,
        CHECK_DISTANCE: 4,
        SOUND_EFFECT: {
            NAME: "damage.fallsmall",
            VOLUME: 0.6,
            PITCH: 0.8
        }
    },
    VAULT: {
        MIN_HEIGHT: 0.4,
        MAX_HEIGHT: 1,
        DETECTION_RADIUS: 2,
        COOLDOWN: 6,     // 0.3 s = 6 ticks
        DURATION: 8,     // 0.4 s = 8 ticks
        SOUND_EFFECT: {
            NAME: "game.player.attack.strong",
            PITCH: 1.5,
            VOLUME: 0.6
        }
    },
    WALLRUN: {
        DURATION: 16,    // 0.8 s = 16 ticks
        COOLDOWN: 40,    // 2 s = 40 ticks
        DETECTION_RADIUS: 0.4,
        KNOCKBACK_POWER: 0.5,
        KNOCKBACK_REDUCTION: 15,
        MIN_HEIGHT_ABOVE_GROUND: 2
    }
};
export default CONFIG;