export const BLOCK_SOUNDS = {
    STONE: "step.stone",
	DIRT: "step.dirt",
    DEEPSLATE: "step.deepslate",
    NETHERITE: "step.netherite",
    TUFF: "step.tuff",
    ANCIENT_DEBRIS: "step.ancient_debris",
    CALCITE: "step.calcite",
    BONE_BLOCK: "step.bone_block",
    NETHER_BRICK: "step.nether_brick",
    GRASS: "step.grass",
    GRAVEL: "step.gravel",
    SAND: "step.sand",
    SNOW: "step.snow",
    POWDER_SNOW: "step.powder_snow",
    SOUL_SAND: "step.soul_sand",
    SOUL_SOIL: "step.soul_soil",
    WOOD: "step.wood",
    STEM: "step.stem",
    AZALEA: "step.azalea",
    AZALEA_LEAVES: "step.azalea_leaves",
    BIG_DRIPLEAF: "step.big_dripleaf",
    SPORE_BLOSSOM: "step.spore_blossom",
    MOSS: "step.moss",
    NETHER_SPROUTS: "step.nether_sprouts",
    NETHER_WART: "step.nether_wart",
    ROOTS: "step.roots",
    HANGING_ROOTS: "step.hanging_roots",
    VINES: "step.vines",
    CAVE_VINES: "step.cave_vines",
    AMETHYST_BLOCK: "step.amethyst_block",
    AMETHYST_CLUSTER: "step.amethyst_cluster",
    COPPER: "step.copper",
    CORAL: "step.coral",
    HONEY_BLOCK: "step.honey_block",
    SLIME: "step.slime",
    LADDER: "step.ladder",
    CHAIN: "step.chain",
    CANDLE: "step.candle",
    SCULK: "step.sculk",
    SCULK_CATALYST: "step.sculk_catalyst",
    SCULK_SENSOR: "step.sculk_sensor",
    SCULK_SHRIEKER: "step.sculk_shrieker",
    SCULK_VEIN: "step.sculk_vein",
    NO_STEP: "nostep"
};

export const BLOCK_SOUND_MAPPING = {
    "minecraft:mud": BLOCK_SOUNDS.GRASS,
    "minecraft:dirt_with_roots": BLOCK_SOUNDS.GRAVEL,
    "minecraft:grass_path": BLOCK_SOUNDS.GRASS,
    "minecraft:coarse_dirt": BLOCK_SOUNDS.GRASS,
	"minecraft:dirt": BLOCK_SOUNDS.GRASS,
    "minecraft:stone": BLOCK_SOUNDS.STONE,
    "minecraft:deepslate": BLOCK_SOUNDS.DEEPSLATE,
    "minecraft:oak_leaves": BLOCK_SOUNDS.GRASS,
    "minecraft:spruce_leaves": BLOCK_SOUNDS.GRASS,
    "minecraft:junggle_leaves": BLOCK_SOUNDS.GRASS,
    "minecraft:birch_leaves": BLOCK_SOUNDS.GRASS,
    "minecraft:grass": BLOCK_SOUNDS.GRASS,
    "minecraft:grass_block": BLOCK_SOUNDS.GRASS,
    "minecraft:gravel": BLOCK_SOUNDS.GRAVEL,
    "minecraft:sand": BLOCK_SOUNDS.SAND,
    "minecraft:red_sand": BLOCK_SOUNDS.SAND,
    "minecraft:soul_sand": BLOCK_SOUNDS.SOUL_SAND,
    "minecraft:snow": BLOCK_SOUNDS.SNOW,
    "minecraft:powder_snow": BLOCK_SOUNDS.POWDER_SNOW,
    "minecraft:oak_wood": BLOCK_SOUNDS.WOOD,
    "minecraft:oak_planks": BLOCK_SOUNDS.WOOD,
    "minecraft:spruce_wood": BLOCK_SOUNDS.WOOD,
    "minecraft:spruce_planks": BLOCK_SOUNDS.WOOD,
    "minecraft:birch_wood": BLOCK_SOUNDS.WOOD,
    "minecraft:birch_planks": BLOCK_SOUNDS.WOOD,
    "minecraft:jungle_wood": BLOCK_SOUNDS.WOOD,
    "minecraft:jungle_planks": BLOCK_SOUNDS.WOOD,
    "minecraft:acacia_wood": BLOCK_SOUNDS.WOOD,
    "minecraft:acacia_planks": BLOCK_SOUNDS.WOOD,
    "minecraft:dark_oak_wood": BLOCK_SOUNDS.WOOD,
    "minecraft:dark_oak_planks": BLOCK_SOUNDS.WOOD,
    "minecraft:mangrove_wood": BLOCK_SOUNDS.WOOD,
    "minecraft:mangrove_planks": BLOCK_SOUNDS.WOOD,
    "minecraft:cherry_wood": BLOCK_SOUNDS.WOOD,
    "minecraft:cherry_planks": BLOCK_SOUNDS.WOOD,
    "minecraft:bamboo_block": BLOCK_SOUNDS.WOOD,
    "minecraft:bamboo_planks": BLOCK_SOUNDS.WOOD,
    "minecraft:crimson_hyphae": BLOCK_SOUNDS.WOOD,
    "minecraft:crimson_planks": BLOCK_SOUNDS.WOOD,
    "minecraft:warped_hyphae": BLOCK_SOUNDS.WOOD,
    "minecraft:warped_planks": BLOCK_SOUNDS.WOOD,
    "minecraft:air": BLOCK_SOUNDS.NO_STEP,
    "minecraft:water": BLOCK_SOUNDS.NO_STEP,
    "minecraft:lava": BLOCK_SOUNDS.NO_STEP
};

export const SOUND_CONFIGS = {
    [BLOCK_SOUNDS.STONE]: { pitch: 0.9, volume: 0.6 },
    [BLOCK_SOUNDS.GRASS]: { pitch: 1.0, volume: 0.6 },
    [BLOCK_SOUNDS.SAND]: { pitch: 0.9, volume: 0.6 },
    [BLOCK_SOUNDS.GRAVEL]: { pitch: 0.9, volume: 0.6 }
};

export const DEFAULT_SOUND = {
    sound: BLOCK_SOUNDS.STONE,
    pitch: 0.9,
    volume: 0.6
};