import { world } from '@minecraft/server';
import CONFIG from '../config.js';

class Logger {
    static debug(message, feature = '') {
        if (CONFIG.DEBUG) {
            const color = CONFIG.LOGGING.COLORS[feature] || CONFIG.LOGGING.COLORS.SYSTEM;
            const prefix = feature ? `[${feature}]` : '[DEBUG]';
            world.sendMessage(`${color}${prefix} ${message}`);
        }
    }

    static info(message, feature = '') {
        if (CONFIG.DEBUG) {
            const color = CONFIG.LOGGING.COLORS[feature] || CONFIG.LOGGING.COLORS.SYSTEM;
            const prefix = feature ? `[${feature}]` : '[INFO]';
            world.sendMessage(`${color}${prefix} ${message}`);
        }
    }

    static warn(message, feature = '') {
        if (CONFIG.DEBUG) {
            const prefix = feature ? `[${feature}]` : '[WARN]';
            world.sendMessage(`§e${prefix} ${message}`);
        }
    }

    static error(message, feature = '') {
        if (CONFIG.DEBUG) {
            const prefix = feature ? `[${feature}]` : '[ERROR]';
            world.sendMessage(`§c${prefix} ${message}`);
        }
    }
}

export default Logger;