const blockCache = new Map();

function getCachedBlock(dimension, pos) {
    const key = `${dimension.id}:${pos.x},${pos.y},${pos.z}`;
    return blockCache.get(key) ?? blockCache.set(key, dimension.getBlock(pos)).get(key);
}

function clearBlockCache() {
    blockCache.clear();
}

export { getCachedBlock, clearBlockCache };